To string

- « ReflectionExtension::isTemporary

- ReflectionFunction »

- PHP Manual
- ReflectionExtension
- To string

# ReflectionExtension::__toString

(PHP 5, PHP 7, PHP 8)

ReflectionExtension::__toString — To string

### Description

public ReflectionExtension::__toString(): string

Exports a reflected extension and returns it as a string. This is the same as the ReflectionExtension::export() with the `return` set to `true`.

### Parameters

This function has no parameters.

### Return Values

Returns the exported extension as a string, in the same way as the ReflectionExtension::export().

### See Also

- ReflectionExtension::__construct() - Constructs a ReflectionExtension
- ReflectionExtension::export() - Export
- __toString()